4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.ServerClient

Classes: ServerClient

## Classes

class ServerClient(Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient)
A system server

### Methods

getStatus(self)
Returns the state of this server: running (1) or stopped (0) based on the content of the resource. No check is made to see if a server process is running.
setRunning(self)
Change the state of this server to running
setStopped(self)
Change the state of this server to stopped

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate